import request from '@/utils/request'

// 查询持股比例列表
export function listRatio(query) {
  return request({
    url: '/basicData/xcrShareholdingRatio/findByPage',
    method: 'get',
    params: query
  })
}

// 查询持股比例详细
export function getRatio(id) {
  return request({
    url: '/basicData/xcrShareholdingRatio/' + id,
    method: 'get'
  })
}

// 新增持股比例
export function addRatio(data) {
  return request({
    url: '/basicData/xcrShareholdingRatio',
    method: 'post',
    data: data
  })
}

// 修改持股比例
export function updateRatio(data) {
  return request({
    url: '/basicData/xcrShareholdingRatio',
    method: 'put',
    data: data
  })
}

// 删除持股比例
export function delRatio(id) {
  return request({
    url: '/basicData/xcrShareholdingRatio/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delRatioBatch(ids) {
  return request.post('/basicData/xcrShareholdingRatio/delete',ids)
}
